; Using 1280, 1024 game res

; The following should stop runaway macros
; ctrl-alt-p and ctrl-alt-r
^!p::Pause
^!r::Reload

; Barrel Vise - Pin window in upper left of screen.  Coordinates are for Guilded barrel vice.  Pin when it is completely empty.
; alt-shift-b to start the macro
!+b::
IfWinExist eGenesis Client
{
	WinActivate
	SetDefaultMouseSpeed, 0

;;;;;;;;;;;;;;;;;;;;;; COORD VARIABLES ;;;;;;;;;;;;;;;;;;;;;;
	
	winX := 95 			; Top of window X/Y Coords, used to select and update the pinned window
	winY := 50
	makeX := 95 		;Make button and also Take X/Y Coords
	makeY := 90
	takeAllX := makeX + 20 
	takeAllY := makeY + 5
	stokeX := 170		; Stoke Button X/Y Coords
	stokeY := 230

	barHighX := 194 ; right most edge of the bars
	
	barMaxFlameX := 175 ; Max Flame wanted, do not have 2 wood in Fuel passed this point.  May need to adjust.
	bar1WoodX := 78 	; Coord for determining if at least 1 wood is in Fuel
	bar2WoodX := 85 	; Coord for determining if at least 2 wood is in Fuel
	
	fuelBarY := 170  	; Y Coord for Fuel bar
	flameBarY := 185 	; Y Coord for Flame bar
	heatBarY := 200		; Y Coord for Heat bar
	progressBarY := 218 ; Y Coord for Progress bar
	
;;;;;;;;;;;;;;;;;;;;;; MAIN PROGRAM ;;;;;;;;;;;;;;;;;;;;;;

	Loop, 100 ; number of barrels to make
	{
		; Click "Make a barrel"
		MouseClickCoords(winX, winY)
		MouseClickCoords(makeX, makeY)
		
		Loop, 10000 ; Maintain Heat
		{		
			curFuel1 := FindBlue(bar1WoodX, fuelBarY)
			curFuel2 := FindBlue(bar2WoodX, fuelBarY)
			curFlame := FindBlue(barMaxFlameX, flameBarY)

			if (curFlame > 0)
			{					
				if (curFuel1 > 0) ; Add 2 wood
				{
					MouseClickCoords(stokeX, stokeY)							
					MouseClickCoords(stokeX, stokeY)
				}
				else if (curFuel2 > 0) ; Add 1 wood
				{
					MouseClickCoords(stokeX, stokeY)
				}				
			}

			MouseClickCoords(winX, winY)
			ImageSearch, OutputX, OutputY, 15, 80, 60, 105, *50 Take.PNG
			if (ErrorLevel < 1)
			{
				break
			}
		}
		; Unload barrel
		MouseClickCoords(winX, winY)
		sleep 500
		MouseClickCoords(makeX, makeY)
		sleep 500
		MouseClickCoords(takeAllX, takeAllY)
		sleep 500
	}
}

MouseClickCoords(X, Y)
{
	MouseMove, X, Y
	sleep 100
	MouseClick
	sleep 100
}

FindBlue(TX, TY)
{	
	PixelSearch, PX, PY, TX, TY, TX+1, TY+1, 0xFD0606, 55, Fast
	return ErrorLevel
}
